<?php

class cDevolucionproveedor{



	function mostrarUno($id){

		$sql="SELECT * FROM tb_devolucionproveedor dp 

		inner join tb_compra c on c.tb_compra_id = dp.tb_compra_id

		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id

		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

		WHERE tb_devolucionproveedor_id = '$id' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrarDetalles($id){

		$sql="SELECT * FROM tb_devolucionproveedordetalle dpd

		inner join tb_marca m on m.tb_marca_id = dpd.tb_marca_id

		inner join tb_catalogo ct on ct.tb_catalogo_id = dpd.tb_catalogo_id

		INNER JOIN tb_presentacion pr ON pr.tb_presentacion_id = ct.tb_presentacion_id

		INNER JOIN tb_producto p ON p.tb_producto_id = pr.tb_producto_id

		WHERE tb_devolucionproveedor_id = '$id' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function insertar($uusureg,$fec,$tranom,$tracom,$obs1,$comid,$tot){

		$now =  date('Y-m-d h:i:s a');

		$sql = "INSERT INTO tb_devolucionproveedor(

		`tb_devolucionproveedor_reg` ,

		`tb_devolucionproveedor_usureg` ,

		`tb_devolucionproveedor_fec` ,

		`tb_devolucionproveedor_tranom` ,		

		`tb_devolucionproveedor_tracom` ,		

		`tb_devolucionproveedor_obs1` ,		

		`tb_compra_id` ,

		`tb_devolucionproveedor_tot`

		)

		VALUES('$now','$uusureg','$fec','$tranom','$tracom','$obs1','$comid','$tot')"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function insertardetalle($devid,$catid,$marid,$can,$valuni){

		$sql = "INSERT INTO tb_devolucionproveedordetalle(

		`tb_devolucionproveedor_id` ,

		`tb_catalogo_id` ,

		`tb_marca_id` ,

		`tb_devolucionproveedordetalle_can` ,		

		`tb_devolucionproveedordetalle_valuni`

		)

		VALUES('$devid','$catid','$marid','$can','$valuni')"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	

	function ultimoInsert(){

		$sql = "SELECT max(tb_devolucionproveedor_id) as 'id' from tb_devolucionproveedor"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	

	function modificar_campo($id,$campo,$valor){

		$now =  date('Y-m-d h:i:s a');

		$sql = "UPDATE tb_devolucionproveedor SET

		`tb_devolucionproveedor_$campo` =  '$valor' 

		WHERE tb_devolucionproveedor_id = '$id' "; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function validar_rel($catid,$marid,$docid){

		$sql="SELECT * FROM tb_compra c		

		inner join tb_compradetalle cd on cd.tb_compra_id = c.tb_compra_id

		WHERE cd.tb_catalogo_id = '$catid' and cd.tb_marca_id = '$marid' and c.tb_compra_id  = '$docid' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	

	function complete_rel($dat){

		$sql="SELECT * FROM tb_compra c		

		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id

        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id

		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

		WHERE c.tb_compra_xac = '1' and c.tb_documento_id = 2 ";



		if($dat!="") $sql .=" and c.tb_compra_numdoc like '%$dat%' ";

		

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function mostrar_pendientes($emp_id,$pro_id){

		$sql="SELECT * FROM tb_devolucionproveedor dp

		inner join tb_compra c on c.tb_compra_id = dp.tb_compra_id

		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id

        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id

		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

		WHERE tb_devolucionproveedor_xac = '1' and tb_devolucionproveedor_est  = 0 ";

		

		if($emp_id!="") $sql .=" and c.tb_empresa_id = '$emp_id' ";

		if($pro_id!="") $sql .=" and c.tb_proveedor_id = '$pro_id' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrar_filtro($emp_id,$pro_id){

		$sql="SELECT dp.*,p.*,c.*,d.*,m.*,em.*,com.tb_compra_numdoc as 'NC',do.tb_documento_abr as 'DO' FROM tb_devolucionproveedor dp

		inner join tb_compra c on c.tb_compra_id = dp.tb_compra_id

		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id

        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id

		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

		LEFT JOIN tb_compra com on com.tb_compra_id = dp.tb_devolucionproveedor_rel

		left JOIN tb_documento do ON com.tb_documento_id=do.tb_documento_id

		WHERE tb_devolucionproveedor_xac = '1' ";

		

		if($emp_id!="") $sql .=" and c.tb_empresa_id = '$emp_id' ";

		if($pro_id!="") $sql .=" and c.tb_proveedor_id = '$pro_id' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	function mostrar_filtro2($emp_id,$pro_id,$numdoc){

		$sql="SELECT * FROM tb_compra c 

		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id

        inner join tb_moneda m on c.tb_moneda_id = m.tb_moneda_id

		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

		WHERE c.tb_compra_xac = '1' and tb_documento_abr != 'L' ";



		if($emp_id!="") $sql .=" and c.tb_empresa_id = '$emp_id' ";

		if($pro_id!="") $sql .=" and c.tb_proveedor_id = '$pro_id' ";

		if($numdoc!="") $sql .=" and c.tb_compra_numdoc like '%$numdoc%' ";

		

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	





}

?>